org.wildfly.swarm.config.management.security_realm.authentication

## Class User<T extends User<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.security_realm.authentication.User<T>

-     public class User<T extends User<T>>
      extends Object

  An authorized user.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `User(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Map` | `credentialReference()` The reference to credential for the password stored in CredentialStore under defined alias or clear text password.
    `T` | `credentialReference(Map value)` The reference to credential for the password stored in CredentialStore under defined alias or clear text password.
    `T` | `credentialReference(String key, Object value)` The reference to credential for the password stored in CredentialStore under defined alias or clear text password.
    `String` | `getKey()`
    `String` | `password()` The user's password.
    `T` | `password(String value)` The user's password.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### User

          public User(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### credentialReference

          public Map credentialReference()

      The reference to credential for the password stored in CredentialStore under defined alias or clear text password.

    - #### credentialReference

          public T credentialReference(Map value)

      The reference to credential for the password stored in CredentialStore under defined alias or clear text password.

    - #### credentialReference

          public T credentialReference(String key,
                                       Object value)

      The reference to credential for the password stored in CredentialStore under defined alias or clear text password.

    - #### password

          public String password()

      The user's password.

    - #### password

          public T password(String value)

      The user's password.

Copyright © 2018 JBoss by Red Hat. All rights reserved.